Bug 72744 - switchdesk window displayed out of viewport
switchdesk window displayed out of viewport
Product: Red Hat Linux
Classification: Retired
Component: switchdesk (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-08-27 04:09 EDT by Michel Fodje
Modified: 2007-04-18 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-03 15:50:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michel Fodje 2002-08-27 04:09:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
The window of the Desktop Switching Tool when lauched is placed beneath the
panel on the desktop.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Lauch preferences:///Extras/Desktop Switching Tool

Actual Results:  Window is almost completely hidden beneath panel

Expected Results:  Window should be centered on display or at least be
completely visible within the current viewport

Additional info:

resolution from xdpyinfo:

 dimensions:    1600x1200 pixels (363x272 millimeters)
 resolution:    112x112 dots per inch
Comment 1 Michel Fodje 2002-08-27 04:19:42 EDT
It appeas this bug is linked to the fact that it tries to align the top window
to the bottom of an already existing window on the desktop. Its seems to select
the window based on the order in which they were created. Is this a problem with
Metacity maybe?
Comment 2 Mike A. Harris 2003-01-26 03:58:57 EST
No idea, but I've cc'd hp to see what he thinks about it.
Comment 3 Havoc Pennington 2003-01-26 10:17:01 EST
Assuming switchdesk doesn't set PPosition (xprop on it, if it says
"Program-specified position" then it sets it), this is a known metacity issue.

Comment 4 Ngo Than 2004-02-03 15:50:33 EST
it's fixed in 4.0.0, which is available in rawhide.

Note You need to log in before you can comment on or make changes to this bug.